[[_TOC_]]

Replace_me-utils
===========


Helm library for template helpers for Mosaic 2.0 infra sub-charts


---------------------------------------------------------------------------------------------
# Important!

This `REPLACE_ME-utils` chart was created via a `make` command for the current chart if located under `infrastructure-charts/charts/<name>`

To edit the contents of `utils-lib` update the files under the root of the repository at `infrastructure-charts/utils-lib-tpl`

---------------------------------------------------------------------------------------------

# Description

Helm library for template helpers for Mosaic 2.0 infra sub-charts.

This chart is created at build time for the given infrastructure chart.
First, a copy is created in the chart directory. The chart name and function definitions get
updated with a sed command to use `REPLACE_ME-utils` in order to make the utils-lib release unique to the chart
(This is all done within the `make build` command, however the utils-lib can be build directly with `make chart-utils-lib`).

Then, the chart has a dependency on the local directory declared

```
apiVersion: v2
name: exampleChart
description: The Infra chart library to show an example
version: 0.1.0

# Used to pull in utils helper templates
dependencies:
  - name: exampleChart-utils
    version: 0.1.0
    repository: file://../../../builds/exampleChart/utils-lib
```

From here each function provided by utils-lib can be called with `{{ include "exampleChart-utils.functionName" . }}`
providing a unique chart to prevent multiple instances of the utils-lib chart from overriding each other.
---------------------------------------------------------------------------------------------




# Inputs

The following table lists the configurable parameters of the Replace_me-utils chart and their default values.

| Parameter                | Description             | Default        |
| ------------------------ | ----------------------- | -------------- |


# Outputs

Configmaps or Secrets Generated by this chart.

| Type                | Name             | Key        | Value Comment        |
| ------------------------ | ----------------------- | -------------- | -------------- |
